Skip to content

Authentication

Authenticating Requests to the Sysdyne Cloud Platform API

To make an authenticated request to the Sysdyne Cloud Platform API, include the access token obtained from Sysdyne ID in the Authorization header.

Example Request:

curl --location 'https://api.sysdyne.cloud/employees' \
--header 'Authorization: Bearer ***'

Obtaining an Access Token

Following the Client Credentials flow, exchange the Client ID and Client Secret to receive an access token.

Token Request:

curl --location 'https://id.sysdyne.cloud/token' \
  --data-urlencode 'grant_type=client_credentials' \
  --data-urlencode 'client_id=xxxxxxxxxxxxxxxxx' \
  --data-urlencode 'client_secret=xxxxxxxxxxxxxxxxx' \
  --data-urlencode 'resource=https://api.sysdyne.cloud'

Token Response:

{
  "access_token": "******",
  "expires_in": 86400,
  "token_type": "Bearer"
}